#
# Conditional build:
%bcond_without	apidocs		# API documentation
#
Summary:	WCSLIB - an implementation of the FITS WCS standard
Summary(pl.UTF-8):	WCSLIB - implementacja standardu FITS WCS
Name:		wcslib
Version:	7.12
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	ftp://ftp.atnf.csiro.au/pub/software/wcslib/%{name}-%{version}.tar.bz2
# Source0-md5:	20ba662a2ac0ccef6f34fe75685ab814
URL:		https://www.atnf.csiro.au/people/mcalabre/WCS/wcslib/
BuildRequires:	cfitsio-devel
BuildRequires:	flex >= 2.6.0
BuildRequires:	gcc-fortran
BuildRequires:	pgplot-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An implementation of the FITS World Coordinate System standard.

%description -l pl.UTF-8
Implementacja standardu FITS World Coordinate System.

%package devel
Summary:	Header files for WCSLIB libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek WCSLIB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cfitsio-devel

%description devel
Header files for WCSLIB libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek WCSLIB.

%package static
Summary:	Static WCSLIB libraries
Summary(pl.UTF-8):	Statyczne biblioteki WCSLIB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WCSLIB libraries.

%description static -l pl.UTF-8
Statyczne biblioteki WCSLIB.

%package apidocs
Summary:	API documentation for WCSLIB libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek WCSLIB
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for WCSLIB libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek WCSLIB.

%prep
%setup -q

%build
%configure

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# split over packages as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README THANKS
%attr(755,root,root) %{_bindir}/HPXcvt
%attr(755,root,root) %{_bindir}/fitshdr
%attr(755,root,root) %{_bindir}/sundazel
%attr(755,root,root) %{_bindir}/tofits
%attr(755,root,root) %{_bindir}/wcsgrid
%attr(755,root,root) %{_bindir}/wcsware
%attr(755,root,root) %{_libdir}/libpgsbox.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libpgsbox.so.7
%attr(755,root,root) %{_libdir}/libwcs.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwcs.so.7
%{_mandir}/man1/HPXcvt.1*
%{_mandir}/man1/fitshdr.1*
%{_mandir}/man1/sundazel.1*
%{_mandir}/man1/tofits.1*
%{_mandir}/man1/wcsgrid.1*
%{_mandir}/man1/wcsware.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpgsbox.so
%attr(755,root,root) %{_libdir}/libwcs.so
%{_includedir}/wcslib-%{version}
%{_includedir}/wcslib
%{_pkgconfigdir}/wcslib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpgsbox-%{version}.a
%{_libdir}/libpgsbox.a
%{_libdir}/libwcs-%{version}.a
%{_libdir}/libwcs.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc html/*
%endif
%changelog
* Fri Jan 20 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wcslib.git;a=log;h=master

* Thu Jan 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 4e5fa31
- updated to 7.12

* Sun Jun 26 2022 Jakub Bogusz <qboosh@pld-linux.org> f81f137
- updated to 7.11

* Sat Nov 27 2021 Jakub Bogusz <qboosh@pld-linux.org> c940713
- updated to 7.7

* Sat Jun 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0ae4150
- updated to 7.6

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 88347b2
- unconditional noarch subpackages

* Fri Dec 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 15b975e
- updated to 7.3.1

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 178f0f5
- updated to 7.3 (new sonames)

* Thu Dec 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 9e1ea66
- updated to 6.2 (new soname)

* Fri Jul 27 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bdce044
- release 2 (by relup.sh)

* Sun Mar 04 2018 Jakub Bogusz <qboosh@pld-linux.org> 17e878c
- non-parallel make

* Fri Mar 02 2018 Jakub Bogusz <qboosh@pld-linux.org> b5f1378
- new

